import { IUserLogin } from '@interfaces/auth.interface';
import { AuthService } from '@services/auth.service';
import { Request, Response } from 'express';

export class AuthController {
  constructor(private authService: AuthService) {
    this.login = this.login.bind(this);
    this.dologin = this.dologin.bind(this);
  }

  public async login(req: Request, res: Response) {
    const serviceURL = req.query.serviceURL as string || "";
    const callbackURL = req.query.callbackURL as string || "";

    return await this.authService.login(res, serviceURL, callbackURL);
  }

  public async dologin(req: Request, res: Response) {
    const userLoginData: IUserLogin = req.body;
    const serviceURL = req.query.serviceURL as string || "";
    const callbackURL = req.query.callbackURL as string || "";

    await this.authService.dologin(res, userLoginData, serviceURL, callbackURL);
  }
}
