import { z } from 'zod';

export const addUserSchema = z.object({
  body: z.object({
    user_id: z
      .number({
        required_error: 'User id is required'
      }),

    email: z
      .string({
        required_error: 'Email is required',
      })
      .email()
      .max(255, {
        message: 'Email is too long',
      }),

    password: z
      .string({
        required_error: "Password is required"
      })
      .min(8, {
        message: "Password is required and must consist of a minimum of 8 characters"
      })
      .max(255, {
        message: 'Password is too long',
      }),

    dept_id: z
      .number({
        required_error: "Department id is required"
      })
      .min(1, {
        message: 'Department id is required',
      }),

    position_id: z
      .number({
        required_error: "Position id is required"
      })
      .min(1, {
        message: 'Position id is required',
      }), 

    status: z
      .number({
        required_error: "Status is required"
      })
      .min(1, {
        message: 'Status is required',
      }), 
  })
});

export const resetPasswordSchema = z.object({
  body: z.object({
    password: z
      .string({
        required_error: 'Password is required'
      }),

  
  })
});

